Bug 58704 - Non regression testing : Ant task batchtest fails if tests and run in a non en_EN locale and use a JMX file that uses a Csv DataSet
Summary: Non regression testing : Ant task batchtest fails if tests and run in a non e...
Status: REOPENED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 2.13
Hardware: All All
: P2 normal (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-08 10:42 UTC by benoit.wiart
Modified: 2016-01-17 13:45 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description benoit.wiart 2015-12-08 10:42:03 UTC
due to log in the file BatchTestLocal.log
eg :
2015/12/02 09:28:23 WARN  - jmeter.config.CSVDataSet: Could not translate shareMode=All threads using Locale: fr

the locale must be set to -Duser.language=en in the build.xml file
Comment 1 Philippe Mouawad 2016-01-16 13:47:24 UTC
Issue related to Bug 55432
Comment 2 Philippe Mouawad 2016-01-16 13:56:23 UTC
Author: pmouawad
Date: Sat Jan 16 13:53:08 2016
New Revision: 1724976

URL: http://svn.apache.org/viewvc?rev=1724976&view=rev
Log:
Bug 58704 Non regression testing : Ant task batchtest fails if tests and run in a non en_EN locale and use a JMX file that uses a Csv DataSet
Bugzilla Id: 58704

Modified:
    jmeter/trunk/build.xml
    jmeter/trunk/xdocs/changes.xml
Comment 3 Sebb 2016-01-17 12:50:04 UTC
Although fixing the locale avoids the test failure, I'm not sure that is the correct solution.

JMX files should ideally be portable between systems with different locales.
Comment 4 Philippe Mouawad 2016-01-17 13:08:40 UTC
Another fix is to remove the label in the JMX files and replace it by shareMode.all, which is how it is stored since Bug 55432 has been fixed.

If you are ok , I can commit the change and revert the locale setting.

Note that for me it is fine as the issue here should not happen for a user unless he has used locale A on his computed and save the file in a version where Bug 55432 is not fixed and opened it in a newer version under another locale, he will lose the sharing mode.
Comment 5 Sebb 2016-01-17 13:45:39 UTC
I think there's another issue here:

Seems to me that ideally JMeter ought to be able to understand the original sharemode setting even if the current Locale is different. As we have seen here, it's possible for old-style JMX files to be re-used on a different locale.